'use strict';
class AppBootHook {
  constructor(app) {
    this.app = app;
  }

  async didReady() {
    // 应用已经启动完毕
    const ctx = await this.app.createAnonymousContext();
    // 企业入驻申请消息接收事件
    await ctx.service.rabbitmq.receiveQueueMsg('corp_register');
    // 企业申请三会消息接收事件
    await ctx.service.rabbitmq.receiveQueueMsg('corp_apply');
    // 学生投递简历消息接收事件
    await ctx.service.rabbitmq.receiveQueueMsg('stu_apply');
    // 企业发送面试邀请给学生
    await ctx.service.rabbitmq.receiveQueueMsgOffer('stu_offer');

    // 发送模板消息
    // 学校审核企业入驻情况消息
    await ctx.service.rabbitmq.receiveMsgSendWxSch('sch_review');
    // 企业发布职位情况消息
    await ctx.service.rabbitmq.receiveMsgSendWxCorp('corp_jobs');
  }

  async serverDidReady() {
    // 应用已经启动完毕
  }
}
module.exports = AppBootHook;
