/* eslint valid-jsdoc: "off" */

'use strict';

const { jwt } = require('./config.secret');

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1571378739964_3623';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  config.errorMongo = {
    details: true,
  };
  config.errorHanler = {
    details: true,
  };

  // add your config here
  config.cluster = {
    listen: {
      port: 8106,
    },
  };

  config.multipart = {
    fileSize: '50mb', // 文件大小
    mode: 'file', // 文件模式
    whitelist: [ '.xlsx' ], // 文件类型白名单
  };

  // mongoose config
  // config.mongoose = {
  //   url: 'mongodb://127.0.0.1:27017/smart',
  //   options: {
  //     user: 'root',
  //     pass: 'Ziyouyanfa#@!',
  //     authSource: 'admin',
  //     useNewUrlParser: true,
  //     useCreateIndex: true,
  //   },
  // };
  // base路径
  config.sendDirMq = 'http://wx.cc-lotus.info/api.weixin.qq.com/cgi-bin/message/template/send?appid=';
  // appID
  config.appid = 'wxdf3ed83c095be97a';
  // base路径
  config.baseDirMq = 'http://smart.cc-lotus.info';
  // 企业信息url
  config.corpsDirMq = '/api/corp/corps/';
  // 学生信息url
  config.stusDirMq = '/api/studentcorp';
  // 学生详细信息
  config.strDirMq = '/api/stud/registers/';

  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'smart',
      password: 'smart123',
      vhost: 'smart',
    },
    app: true,
    agent: true,
  };

  // mongoose config
  config.mongoose = {
    url: 'mongodb://127.0.0.1:27017/smart',
    options: {
      user: 'root',
      pass: 'Ziyouyanfa#@!',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  // JWT config
  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'jobs',
  };

  return {
    ...config,
    ...userConfig,
  };
};
